apiVersion: v1
data:
  kie-server-state: |-
    <kie-server-state>
      <controllers/>
      <configuration>
        <configItems>
          <config-item>
            <name>org.kie.server.location</name>
            <value>https://myapp-kieserver-jschwan-test.project.openshiftdomain:443/services/rest/server</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.dialect</name>
            <value>org.hibernate.dialect.H2Dialect</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.user</name>
            <value>executionUser</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.executor.jms.transacted</name>
            <value>false</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.repo</name>
            <value>/home/jboss/.kie/repository</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.tm</name>
            <value>org.hibernate.engine.transaction.jta.platform.internal.JBossAppServerJtaPlatform</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.bypass.auth.user</name>
            <value>false</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.ds</name>
            <value>java:/jboss/datasources/rhpam</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.pwd</name>
            <value>executionUser1!</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.startup.strategy</name>
            <value>OpenShiftStartupStrategy</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.mode</name>
            <value>DEVELOPMENT</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.executor.jms</name>
            <value>true</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.executor.retry.count</name>
            <value>3</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.id</name>
            <value>myapp-kieserver</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.sync.deploy</name>
            <value>true</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.executor.jms.queue</name>
            <value>queue/KIE.SERVER.EXECUTOR</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.domain</name>
            <value>other</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.services.openshift.service.name</name>
            <value>myapp-kieserver</value>
            <type>java.lang.String</type>
          </config-item>
        </configItems>
      </configuration>
      <containers/>
    </kie-server-state>
kind: ConfigMap
metadata:
  creationTimestamp: '2020-01-13T09:03:43Z'
  labels:
    application: myapp
    services.server.kie.org/kie-server-id: myapp-kieserver
    services.server.kie.org/kie-server-state: DETACHED
  name: myapp-kieserver
  namespace: jschwan-test
  ownerReferences:
    - apiVersion: apps.openshift.io/v1
      kind: DeploymentConfig
      name: myapp-kieserver
      uid: 752897b8-35e3-11ea-9193-fa163ea74bd7
  resourceVersion: '14487455'
  selfLink: /api/v1/namespaces/jschwan-test/configmaps/myapp-kieserver
  uid: 99617a11-35e3-11ea-9193-fa163ea74bd7

